Bug 32894 - Using-alias-directives throws NullReferenceException (Mono.CSharp)
Summary: Using-alias-directives throws NullReferenceException (Mono.CSharp)
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: 4.0.0
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2015-08-08 21:28 UTC by Patrik Svensson
Modified: 2015-11-10 10:56 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Patrik Svensson 2015-08-08 21:28:30 UTC
I noticed that I cannot use using-alias-directives with the Evaluator I got from the Mono.CSharp 4.0.0.143 NuGet package.

In the example below, the third 'evaluator.Run' expression will throw, but only if I've declared a using-alias-directive before it.

using Mono.CSharp;
namespace TestApplication
{
    public class Program
    {
        public static void Main()
        {
            var evaluator = new Evaluator(
                new CompilerContext(
                    new CompilerSettings(), 
                    new ConsoleReportPrinter()));

            evaluator.Run("using System;");
            evaluator.Run("using MyConsole = System.Console;");
            evaluator.Run("Console.WriteLine(\"Hello World\")"); // Throws
        }
    }
}

Not sure if this bug report belongs in the correct section or not.
Comment 1 Marek Safar 2015-11-10 10:56:50 UTC
Fixed in master